Package org.snpeff.interval

# Class ProteinProteinInteractionLocus

java.lang.Object
org.snpeff.interval.Interval
org.snpeff.interval.Marker
org.snpeff.interval.ProteinInteractionLocus
org.snpeff.interval.ProteinProteinInteractionLocus

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<Interval>`, `TxtSerializable`

public class ProteinProteinInteractionLocus extends ProteinInteractionLocus
Protein interaction: An amino acid that is "in contact" with another amino acid within the same protein. Evidence form PDB crystallized structures

Author:
  pablocingolani
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.snpeff.interval.ProteinInteractionLocus

`debug`

### Fields inherited from class org.snpeff.interval.Marker

`type`

### Fields inherited from class org.snpeff.interval.Interval

`chromosomeNameOri, end, id, parent, start, strandMinus`

## Constructor Summary

Constructors
Constructor
Description
`ProteinProteinInteractionLocus()`
`ProteinProteinInteractionLocus(Transcript parent, int start, int end, Transcript trInteract, String id)`

## Method Summary

Modifier and Type
Method
Description
`ProteinProteinInteractionLocus`
`cloneShallow()`
Perform a shallow clone
`boolean`
`variantEffect(Variant variant, VariantEffects variantEffects)`
Calculate the effect of this variant

### Methods inherited from class org.snpeff.interval.ProteinInteractionLocus

`factory`

### Methods inherited from class org.snpeff.interval.Marker

`adjust, apply, applyDel, applyDup, applyIns, applyMixed, clone, codonTable, compareTo, compareToPos, distance, distanceBases, getParent, getType, idChain, idChain, idChain, includes, intersect, isAdjustIfParentDoesNotInclude, isDeferredAnalysis, isShowWarningIfParentDoesNotInclude, minus, query, query, readTxt, serializeParse, serializeSave, shouldApply, toString, union, variantEffectNonRef`

### Methods inherited from class org.snpeff.interval.Interval

`equals, findParent, getChromosome, getChromosomeName, getChromosomeNameOri, getChromosomeNum, getEnd, getGenome, getGenomeName, getId, getStart, getStrand, hashCode, intersects, intersects, intersects, intersects, intersectSize, isCircular, isSameChromo, isStrandMinus, isStrandPlus, isValid, setChromosomeNameOri, setEnd, setId, setParent, setStart, setStrandMinus, shiftCoordinates, size, toStr, toStringAsciiArt, toStrPos`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProteinProteinInteractionLocus

public ProteinProteinInteractionLocus()

### ProteinProteinInteractionLocus

public ProteinProteinInteractionLocus(Transcript parent, int start, int end, Transcript trInteract, String id)

## Method Details

### cloneShallow

public ProteinProteinInteractionLocus cloneShallow()
Description copied from class: `Marker`
Perform a shallow clone

Overrides:
  `cloneShallow` in class `ProteinInteractionLocus`

### variantEffect

public boolean variantEffect(Variant variant, VariantEffects variantEffects)
Calculate the effect of this variant

Overrides:
  `variantEffect` in class `ProteinInteractionLocus`